AOWP_JoinPointWithArguments (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
/aspect/joinpoint/JoinPointWithArguments.class.php at line 12

# Class AOWP_JoinPointWithArguments

    AOWP_JoinPoint
        └─AOWP_JoinPointWithArguments

public abstract class AOWP_JoinPointWithArguments
extends AOWP_JoinPoint

Author:
  keiji

Field Summary
private mixed | $_argumentArray
private mixed | $_staticArgumentCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
_ast, _executedAdvice, _fileFullPath, _fileName, _line, _proceedFunctionName, _returnValue, _timestamp

Constructor Summary
AOWP_JoinPointWithArguments(mixed element, mixed fileName)

Method Summary
void | addArgument(mixed argument)
void | getArgument(mixed argumentIndex)
void | getArgumentArray()
int | getStaticArgumentCount()
void | setArgument(mixed argument, mixed index)
void | setStaticArgumentCount(int staticArgumentCount)

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
getAST, getExecutedAdvice, getFileFullPath, getFileName, getFormData, getLineNumber, getReturnValue, getSessionID, getTimestamp, proceed, setAST, setExecutedAdvice, setProceedFunctionName, setReturnValue

## Field Detail

/aspect/joinpoint/JoinPointWithArguments.class.php at line 14

### _argumentArray

`private mixed $_argumentArray`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 15

### _staticArgumentCount

`private mixed $_staticArgumentCount`

## Constructor Detail

/aspect/joinpoint/JoinPointWithArguments.class.php at line 17

### AOWP_JoinPointWithArguments

`public AOWP_JoinPointWithArguments(mixed element, mixed fileName)`

## Method Detail

/aspect/joinpoint/JoinPointWithArguments.class.php at line 22

### addArgument

`public void addArgument(mixed argument)`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 31

### getArgument

`public void getArgument(mixed argumentIndex)`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 28

### getArgumentArray

`public void getArgumentArray()`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 47

### getStaticArgumentCount

`public int getStaticArgumentCount()`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 25

### setArgument

`public void setArgument(mixed argument, mixed index)`

/aspect/joinpoint/JoinPointWithArguments.class.php at line 40

### setStaticArgumentCount

`public void setStaticArgumentCount(int staticArgumentCount)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr